// java wrapper for vtkAbstractTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkAbstractTransform",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkAbstractTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;
  const char    *temp20;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkAbstractTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_TransformPoint_12(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->TransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformPoint_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAbstractTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformPoint(temp0,temp1,temp2);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformPoint_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractTransform *op;
  double temp0[3];
  void *tempArray0;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformFloatPoint_15(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAbstractTransform *op;
  float    temp0;
  float    temp1;
  float    temp2;
  float   *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformFloatPoint(temp0,temp1,temp2);
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformFloatPoint_16(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float   *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformFloatPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformDoublePoint_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkAbstractTransform *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformDoublePoint(temp0,temp1,temp2);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformDoublePoint_18(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkAbstractTransform *op;
  double temp0[3];
  void *tempArray0;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformDoublePoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_TransformNormalAtPoint_19(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float  temp2[3];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->TransformNormalAtPoint(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformNormalAtPoint_110(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformNormalAtPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformDoubleNormalAtPoint_111(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformDoubleNormalAtPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformFloatNormalAtPoint_112(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float   *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformFloatNormalAtPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_TransformVectorAtPoint_113(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float  temp2[3];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->TransformVectorAtPoint(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformVectorAtPoint_114(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformVectorAtPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformDoubleVectorAtPoint_115(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformDoubleVectorAtPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkAbstractTransform_TransformFloatVectorAtPoint_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float   *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->TransformFloatVectorAtPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
    return vtkJavaMakeJArrayOfDoubleFromFloat(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_TransformPoints_117(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkAbstractTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPoints"));

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_TransformPointsNormalsVectors_118(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5)
{
  vtkAbstractTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPoints"));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDataArray"));
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkDataArray"));
  temp4 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkDataArray"));
  temp5 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkDataArray"));

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractTransform_GetInverse_119(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->GetInverse();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_SetInverse_120(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractTransform *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractTransform"));

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->SetInverse(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_Inverse_121(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->Inverse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_DeepCopy_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractTransform *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractTransform"));

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_Update_123(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_InternalTransformPoint_124(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkAbstractTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkAbstractTransform_MakeTransform_125(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->MakeTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractTransform_CircuitCheck_126(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractTransform *op;
  vtkAbstractTransform  *temp0;
  int      temp20;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractTransform"));

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->CircuitCheck(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkAbstractTransform_GetMTime_127(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;
   unsigned long     temp20;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_UnRegister_128(JNIEnv *env, jobject obj,jobject id0)
{
  vtkAbstractTransform *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->UnRegister(temp0);
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkAbstractTransform_Identity_129(JNIEnv *env, jobject obj)
{
  vtkAbstractTransform *op;

  op = (vtkAbstractTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkAbstractTransform");
  op->Identity();
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkAbstractTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkAbstractTransform_Typecast);
}
