// java wrapper for vtkDirectory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDirectory.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDirectory_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDirectory",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectory_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDirectory *op;
  const char    *temp20;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_Open_12(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->Open(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_GetNumberOfFiles_13(JNIEnv *env, jobject obj)
{
  vtkDirectory *op;
  int      temp20;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->GetNumberOfFiles();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectory_GetFile_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkDirectory *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->GetFile(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_FileIsDirectory_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->FileIsDirectory(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDirectory_GetFiles_16(JNIEnv *env, jobject obj)
{
  vtkDirectory *op;
  vtkStringArray  *temp20;
  jobject tempH;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->GetFiles();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStringArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDirectory_GetCurrentWorkingDirectory_17(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkDirectory *op;
  char    *temp0;
   unsigned int      temp1;
  const char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->GetCurrentWorkingDirectory(temp0,temp1);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_MakeDirectory_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->MakeDirectory(temp0);
  return temp20;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDirectory_CreateDirectory_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDirectory *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDirectory *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDirectory");
  temp20 = (op)->CreateDirectory(temp0);
  return temp20;
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDirectory_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDirectory *aNewOne = vtkDirectory::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDirectory_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDirectory_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDirectory_Typecast);
}
