// java wrapper for vtkEdgeTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEdgeTable.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkEdgeTable_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkEdgeTable",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkEdgeTable_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkEdgeTable *op;
  const char    *temp20;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeTable_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkEdgeTable *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeTable_Initialize_12(JNIEnv *env, jobject obj)
{
  vtkEdgeTable *op;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeTable_InitEdgeInsertion_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkEdgeTable *op;
  vtkIdType   temp0;
  int      temp1;
  int      temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->InitEdgeInsertion(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeTable_InsertEdge_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->InsertEdge(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeTable_InsertEdge_15(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  op->InsertEdge(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeTable_IsEdge_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkEdgeTable *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->IsEdge(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeTable_InitPointInsertion_17(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkEdgeTable *op;
  vtkPoints  *temp0;
  vtkIdType   temp1;
  int      temp20;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));
  temp1 = id1;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->InitPointInsertion(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkEdgeTable_GetNumberOfEdges_18(JNIEnv *env, jobject obj)
{
  vtkEdgeTable *op;
  vtkIdType   temp20;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  temp20 = (op)->GetNumberOfEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeTable_InitTraversal_19(JNIEnv *env, jobject obj)
{
  vtkEdgeTable *op;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  op->InitTraversal();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkEdgeTable_Reset_110(JNIEnv *env, jobject obj)
{
  vtkEdgeTable *op;

  op = (vtkEdgeTable *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkEdgeTable");
  op->Reset();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEdgeTable_VTKInit(JNIEnv *env, jobject obj)
{
  vtkEdgeTable *aNewOne = vtkEdgeTable::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEdgeTable_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkEdgeTable_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkEdgeTable_Typecast);
}
