// java wrapper for vtkHeap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHeap.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHeap_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHeap",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHeap_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHeap *op;
  const char    *temp20;

  op = (vtkHeap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHeap");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHeap_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHeap *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHeap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHeap");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHeap_GetNumberOfBlocks_12(JNIEnv *env, jobject obj)
{
  vtkHeap *op;
  int      temp20;

  op = (vtkHeap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHeap");
  temp20 = (op)->GetNumberOfBlocks();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHeap_GetNumberOfAllocations_13(JNIEnv *env, jobject obj)
{
  vtkHeap *op;
  int      temp20;

  op = (vtkHeap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHeap");
  temp20 = (op)->GetNumberOfAllocations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHeap_Reset_14(JNIEnv *env, jobject obj)
{
  vtkHeap *op;

  op = (vtkHeap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHeap");
  op->Reset();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHeap_StringDup_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHeap *op;
  char    *temp0;
  char    *temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHeap *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHeap");
  temp20 = (op)->StringDup(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHeap_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHeap *aNewOne = vtkHeap::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHeap_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHeap_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHeap_Typecast);
}
