// java wrapper for vtkHomogeneousTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHomogeneousTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHomogeneousTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHomogeneousTransform",dType)) { return me; }
  if ((res= vtkAbstractTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHomogeneousTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHomogeneousTransform *op;
  const char    *temp20;

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHomogeneousTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHomogeneousTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_TransformPoints_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkHomogeneousTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPoints"));

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  op->TransformPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_TransformPointsNormalsVectors_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3,jobject id4,jobject id5)
{
  vtkHomogeneousTransform *op;
  vtkPoints  *temp0;
  vtkPoints  *temp1;
  vtkDataArray  *temp2;
  vtkDataArray  *temp3;
  vtkDataArray  *temp4;
  vtkDataArray  *temp5;
  temp0 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPoints"));
  temp1 = (vtkPoints *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPoints"));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDataArray"));
  temp3 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id3,(char *) "vtkDataArray"));
  temp4 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkDataArray"));
  temp5 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkDataArray"));

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  op->TransformPointsNormalsVectors(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_GetMatrix_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHomogeneousTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  op->GetMatrix(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHomogeneousTransform_GetMatrix_15(JNIEnv *env, jobject obj)
{
  vtkHomogeneousTransform *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  temp20 = (op)->GetMatrix();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHomogeneousTransform_GetHomogeneousInverse_16(JNIEnv *env, jobject obj)
{
  vtkHomogeneousTransform *op;
  vtkHomogeneousTransform  *temp20;
  jobject tempH;

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  temp20 = (op)->GetHomogeneousInverse();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkHomogeneousTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHomogeneousTransform_InternalTransformPoint_17(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkHomogeneousTransform *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHomogeneousTransform");
  op->InternalTransformPoint(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHomogeneousTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHomogeneousTransform_Typecast);
}
