// java wrapper for vtkMatrixToHomogeneousTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMatrixToHomogeneousTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkHomogeneousTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMatrixToHomogeneousTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMatrixToHomogeneousTransform",dType)) { return me; }
  if ((res= vtkHomogeneousTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMatrixToHomogeneousTransform *op;
  const char    *temp20;

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMatrixToHomogeneousTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMatrixToHomogeneousTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_GetInput_13(JNIEnv *env, jobject obj)
{
  vtkMatrixToHomogeneousTransform *op;
  vtkMatrix4x4  *temp20;
  jobject tempH;

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkMatrix4x4", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_Inverse_14(JNIEnv *env, jobject obj)
{
  vtkMatrixToHomogeneousTransform *op;

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  op->Inverse();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_GetMTime_15(JNIEnv *env, jobject obj)
{
  vtkMatrixToHomogeneousTransform *op;
   unsigned long     temp20;

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_MakeTransform_16(JNIEnv *env, jobject obj)
{
  vtkMatrixToHomogeneousTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  temp20 = (op)->MakeTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_SetMatrix_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMatrixToHomogeneousTransform *op;
  vtkMatrix4x4  *temp0;
  temp0 = (vtkMatrix4x4 *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkMatrix4x4"));

  op = (vtkMatrixToHomogeneousTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMatrixToHomogeneousTransform");
  op->SetMatrix(temp0);
}
#endif

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMatrixToHomogeneousTransform *aNewOne = vtkMatrixToHomogeneousTransform::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMatrixToHomogeneousTransform_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMatrixToHomogeneousTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMatrixToHomogeneousTransform_Typecast);
}
