// java wrapper for vtkSphericalTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphericalTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWarpTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkSphericalTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkSphericalTransform",dType)) { return me; }
  if ((res= vtkWarpTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkSphericalTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkSphericalTransform *op;
  const char    *temp20;

  op = (vtkSphericalTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkSphericalTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkSphericalTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkSphericalTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkSphericalTransform_MakeTransform_12(JNIEnv *env, jobject obj)
{
  vtkSphericalTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkSphericalTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkSphericalTransform");
  temp20 = (op)->MakeTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSphericalTransform_VTKInit(JNIEnv *env, jobject obj)
{
  vtkSphericalTransform *aNewOne = vtkSphericalTransform::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSphericalTransform_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkSphericalTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkSphericalTransform_Typecast);
}
