// java wrapper for vtkUnsignedShortArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnsignedShortArray.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataArray_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnsignedShortArray_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnsignedShortArray",dType)) { return me; }
  if ((res= vtkDataArray_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}

// Array conversion routines
extern "C" JNIEXPORT jarray JNICALL Java_vtk_vtkUnsignedShortArray_GetJavaArray_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedShortArray *op;
  unsigned short  *temp20;
  vtkIdType size;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  temp20 = static_cast<unsigned short*>(op->GetVoidPointer(0));
  size = op->GetMaxId()+1;
  return vtkJavaMakeJArrayOfUnsignedShortFromUnsignedShort(env,temp20,size);
}
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedShortArray_SetJavaArray_10(JNIEnv *env, jobject obj,jshortArray id0)
{
  vtkUnsignedShortArray *op;
  unsigned short *tempArray0;
  int length;
  tempArray0 = (unsigned short *)(env->GetShortArrayElements(id0,NULL));
  length = env->GetArrayLength(id0);
  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  op->SetNumberOfTuples(length/op->GetNumberOfComponents());
  memcpy(op->GetVoidPointer(0), tempArray0, length*sizeof(unsigned short));
  env->ReleaseShortArrayElements(id0,(jshort *)tempArray0,0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnsignedShortArray_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnsignedShortArray *op;
  const char    *temp20;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedShortArray_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnsignedShortArray *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedShortArray_GetDataType_12(JNIEnv *env, jobject obj)
{
  vtkUnsignedShortArray *op;
  int      temp20;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  temp20 = (op)->GetDataType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedShortArray_GetValue_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedShortArray *op;
  vtkIdType   temp0;
   unsigned short    temp20;
  temp0 = id0;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  temp20 = (op)->GetValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedShortArray_SetValue_14(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedShortArray *op;
  vtkIdType   temp0;
   unsigned short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  op->SetValue(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedShortArray_SetNumberOfValues_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedShortArray *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  op->SetNumberOfValues(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnsignedShortArray_InsertValue_16(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnsignedShortArray *op;
  vtkIdType   temp0;
   unsigned short    temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  op->InsertValue(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnsignedShortArray_InsertNextValue_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnsignedShortArray *op;
   unsigned short    temp0;
  vtkIdType   temp20;
  temp0 = id0;

  op = (vtkUnsignedShortArray *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnsignedShortArray");
  temp20 = (op)->InsertNextValue(temp0);
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnsignedShortArray_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnsignedShortArray *aNewOne = vtkUnsignedShortArray::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnsignedShortArray_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnsignedShortArray_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnsignedShortArray_Typecast);
}
