// java wrapper for vtkDataObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObject.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataObject",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObject_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  const char    *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataObject *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetSource_12(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkSource  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkSource", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetSource_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkSource  *temp0;
  temp0 = (vtkSource *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkSource"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetInformation_14(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformation  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetInformation();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetInformation_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetInformation(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetPipelineInformation_16(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformation  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetPipelineInformation();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetPipelineInformation_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetPipelineInformation(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetProducerPort_18(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkAlgorithmOutput  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetProducerPort();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAlgorithmOutput", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetMTime_19(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Initialize_110(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ReleaseData_111(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->ReleaseData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_ShouldIReleaseData_112(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->ShouldIReleaseData();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetDataReleased_113(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetDataReleased();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetReleaseDataFlag_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetReleaseDataFlag_115(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ReleaseDataFlagOn_116(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->ReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ReleaseDataFlagOff_117(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->ReleaseDataFlagOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetGlobalReleaseDataFlag_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetGlobalReleaseDataFlag(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GlobalReleaseDataFlagOn_119(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->GlobalReleaseDataFlagOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GlobalReleaseDataFlagOff_120(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->GlobalReleaseDataFlagOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetGlobalReleaseDataFlag_121(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetGlobalReleaseDataFlag();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetFieldData_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkFieldData  *temp0;
  temp0 = (vtkFieldData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkFieldData"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetFieldData(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetFieldData_123(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkFieldData  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetFieldData();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkFieldData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Register_124(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->Register(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_UnRegister_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Update_126(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_UpdateInformation_127(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->UpdateInformation();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_PropagateUpdateExtent_128(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->PropagateUpdateExtent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_TriggerAsynchronousUpdate_129(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->TriggerAsynchronousUpdate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_UpdateData_130(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->UpdateData();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetEstimatedMemorySize_131(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetEstimatedMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_132(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateExtent(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_133(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateExtent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_134(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtent_135(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObject_GetUpdateExtent_136(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int     *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetUpdateExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GetUpdateExtent_137(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->GetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetDataObjectType_138(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdateTime_139(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetUpdateTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateExtentToWholeExtent_140(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateExtentToWholeExtent();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetPipelineMTime_141(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetPipelineMTime();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetActualMemorySize_142(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
   unsigned long     temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformation_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->CopyInformation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyTypeSpecificInformation_144(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->CopyTypeSpecificInformation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdatePiece_145(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdatePiece(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateNumberOfPieces_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdatePiece_147(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetUpdatePiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdateNumberOfPieces_148(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetUpdateNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetUpdateGhostLevel_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetUpdateGhostLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetUpdateGhostLevel_150(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetUpdateGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetRequestExactExtent_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetRequestExactExtent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetRequestExactExtent_152(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetRequestExactExtent();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_RequestExactExtentOn_153(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->RequestExactExtentOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_RequestExactExtentOff_154(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->RequestExactExtentOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeExtent_155(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jint id5)
{
  vtkDataObject *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeExtent_156(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataObject_GetWholeExtent_157(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int     *temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetWholeExtent();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GetWholeExtent_158(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkDataObject *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->GetWholeExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeBoundingBox_159(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5)
{
  vtkDataObject *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetWholeBoundingBox_160(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataObject *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetWholeBoundingBox(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_GetWholeBoundingBox_161(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataObject *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->GetWholeBoundingBox(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetMaximumNumberOfPieces_162(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetMaximumNumberOfPieces(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetMaximumNumberOfPieces_163(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetMaximumNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformationToPipeline_164(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkInformation"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->CopyInformationToPipeline(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_CopyInformationFromPipeline_165(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->CopyInformationFromPipeline(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetActiveFieldInformation_166(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetActiveFieldInformation(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetNamedFieldInformation_167(JNIEnv *env, jobject obj,jobject id0,jint id1,jstring id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetNamedFieldInformation(temp0,temp1,temp2);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_RemoveNamedFieldInformation_168(JNIEnv *env, jobject obj,jobject id0,jint id1,jstring id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->RemoveNamedFieldInformation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_SetActiveAttribute_169(JNIEnv *env, jobject obj,jobject id0,jint id1,jstring id2,jint id3)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  vtkInformation  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = vtkJavaUTFToChar(env,id2);
  temp3 = id3;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->SetActiveAttribute(temp0,temp1,temp2,temp3);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetActiveAttributeInfo_170(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2,jstring id3,jint id4,jint id5,jint id6)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = id2;
  temp3 = vtkJavaUTFToChar(env,id3);
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetActiveAttributeInfo(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetPointDataActiveScalarInfo_171(JNIEnv *env, jobject obj,jobject id0,jint id1,jint id2)
{
  vtkDataObject *op;
  vtkInformation  *temp0;
  int      temp1;
  int      temp2;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetPointDataActiveScalarInfo(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_DataHasBeenGenerated_172(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->DataHasBeenGenerated();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_PrepareForNewData_173(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->PrepareForNewData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_ShallowCopy_174(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_DeepCopy_175(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_SetExtentTranslator_176(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataObject *op;
  vtkExtentTranslator  *temp0;
  temp0 = (vtkExtentTranslator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkExtentTranslator"));

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->SetExtentTranslator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_GetExtentTranslator_177(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkExtentTranslator  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetExtentTranslator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkExtentTranslator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataObject_GetExtentType_178(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  int      temp20;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetExtentType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataObject_Crop_179(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  op->Crop();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataObject_GetAssociationTypeAsString_180(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataObject *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->GetAssociationTypeAsString(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_TYPE_NAME_181(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationStringKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_TYPE_NAME();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationStringKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_OBJECT_182(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDataObjectKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_OBJECT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDataObjectKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_EXTENT_TYPE_183(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_EXTENT_TYPE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_EXTENT_184(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerPointerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_EXTENT();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerPointerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_PIECE_NUMBER_185(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_PIECE_NUMBER();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_NUMBER_OF_PIECES_186(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_NUMBER_OF_PIECES();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_NUMBER_OF_GHOST_LEVELS_187(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_NUMBER_OF_GHOST_LEVELS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_TIME_INDEX_188(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_TIME_INDEX();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_DATA_TIME_189(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->DATA_TIME();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDoubleKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_POINT_DATA_VECTOR_190(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationInformationVectorKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->POINT_DATA_VECTOR();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationInformationVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_CELL_DATA_VECTOR_191(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationInformationVectorKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->CELL_DATA_VECTOR();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationInformationVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_ARRAY_TYPE_192(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_ARRAY_TYPE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_ASSOCIATION_193(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_ASSOCIATION();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_ATTRIBUTE_TYPE_194(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_ATTRIBUTE_TYPE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_ACTIVE_ATTRIBUTE_195(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_ACTIVE_ATTRIBUTE();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_NUMBER_OF_COMPONENTS_196(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_NUMBER_OF_COMPONENTS();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_NUMBER_OF_TUPLES_197(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_NUMBER_OF_TUPLES();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_OPERATION_198(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_OPERATION();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_FIELD_NAME_199(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationStringKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->FIELD_NAME();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationStringKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_ORIGIN_1100(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->ORIGIN();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDoubleVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataObject_SPACING_1101(JNIEnv *env, jobject obj)
{
  vtkDataObject *op;
  vtkInformationDoubleVectorKey  *temp20;
  jobject tempH;

  op = (vtkDataObject *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataObject");
  temp20 = (op)->SPACING();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationDoubleVectorKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataObject_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataObject *aNewOne = vtkDataObject::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataObject_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataObject_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataObject_Typecast);
}
