// java wrapper for vtkDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAlgorithm.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetAlgorithm",dType)) { return me; }
  if ((res= vtkAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  const char    *temp20;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetOutput_12(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetOutput_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetInput_14(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetPolyDataOutput_15(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetPolyDataOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetStructuredPointsOutput_16(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkStructuredPoints  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetStructuredPointsOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetImageDataOutput_17(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetImageDataOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetStructuredGridOutput_18(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkStructuredGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetStructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkStructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetUnstructuredGridOutput_19(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkUnstructuredGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetUnstructuredGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetAlgorithm_GetRectilinearGridOutput_110(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *op;
  vtkRectilinearGrid  *temp20;
  jobject tempH;

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  temp20 = (op)->GetRectilinearGridOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRectilinearGrid", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_SetInput_114(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataSet  *temp1;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetAlgorithm *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->AddInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_117(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataSet  *temp1;
  temp0 = id0;
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetAlgorithm_AddInput_118(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSetAlgorithm *op;
  int      temp0;
  vtkDataObject  *temp1;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkDataSetAlgorithm *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetAlgorithm");
  op->AddInput(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetAlgorithm_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetAlgorithm *aNewOne = vtkDataSetAlgorithm::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetAlgorithm_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetAlgorithm_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetAlgorithm_Typecast);
}
