// java wrapper for vtkDataSetCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSetCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSetCollection",dType)) { return me; }
  if ((res= vtkCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSetCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSetCollection *op;
  const char    *temp20;

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSetCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSetCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSetCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSetCollection *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetCollection_GetNextItem_13(JNIEnv *env, jobject obj)
{
  vtkDataSetCollection *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetCollection_GetNextDataSet_14(JNIEnv *env, jobject obj)
{
  vtkDataSetCollection *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  temp20 = (op)->GetNextDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetCollection_GetItem_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetCollection *op;
  int      temp0;
  vtkDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  temp20 = (op)->GetItem(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSetCollection_GetDataSet_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSetCollection *op;
  int      temp0;
  vtkDataSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSetCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSetCollection");
  temp20 = (op)->GetDataSet(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDataSetCollection *aNewOne = vtkDataSetCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSetCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSetCollection_Typecast);
}
