// java wrapper for vtkDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataSet",dType)) { return me; }
  if ((res= vtkDataObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  const char    *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_CopyStructure_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfPoints_13(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkIdType   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetNumberOfCells_14(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkIdType   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetPoint_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  double  *temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetPoint(temp0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetPoint_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetPoint(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSet_GetCell_17(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetCell(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCell_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericCell"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellBounds_19(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetCellType_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellTypes_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkCellTypes  *temp0;
  temp0 = (vtkCellTypes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellTypes"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetCellTypes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellPoints_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetPointCells_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCellNeighbors_114(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkDataSet *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_FindPoint_115(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkDataSet *op;
  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->FindPoint(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_FindPoint_116(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[3];
  void *tempArray0;
  vtkIdType   temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->FindPoint(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetMTime_117(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
   unsigned long     temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSet_GetCellData_118(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkCellData  *temp20;
  jobject tempH;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetCellData();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDataSet_GetPointData_119(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  vtkPointData  *temp20;
  jobject tempH;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetPointData();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_Squeeze_120(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_ComputeBounds_121(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->ComputeBounds();
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetBounds_122(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetBounds_123(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetCenter_124(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetCenter();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetCenter_125(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[3];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetCenter(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDataSet_GetLength_126(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double   temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetLength();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_Initialize_127(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GetScalarRange_128(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkDataSet *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkDataSet_GetScalarRange_129(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  double  *temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetMaxCellSize_130(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  int      temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetActualMemorySize_131(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
   unsigned long     temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_GetDataObjectType_132(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  int      temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_ShallowCopy_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_DeepCopy_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataSet_CheckAttributes_135(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;
  int      temp20;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  temp20 = (op)->CheckAttributes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataSet_GenerateGhostLevelArray_136(JNIEnv *env, jobject obj)
{
  vtkDataSet *op;

  op = (vtkDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDataSet");
  op->GenerateGhostLevelArray();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDataSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDataSet_Typecast);
}
