// java wrapper for vtkHierarchicalDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataIterator.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCompositeDataIterator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataIterator_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataIterator",dType)) { return me; }
  if ((res= vtkCompositeDataIterator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataIterator_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *op;
  const char    *temp20;

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataIterator_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataIterator *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataIterator_GoToFirstItem_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *op;

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  op->GoToFirstItem();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataIterator_GoToNextItem_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *op;

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  op->GoToNextItem();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataIterator_IsDoneWithTraversal_14(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *op;
  int      temp20;

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  temp20 = (op)->IsDoneWithTraversal();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataIterator_GetCurrentDataObject_15(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *op;
  vtkDataObject  *temp20;
  jobject tempH;

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  temp20 = (op)->GetCurrentDataObject();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataIterator_SetDataSet_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataIterator *op;
  vtkHierarchicalDataSet  *temp0;
  temp0 = (vtkHierarchicalDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkHierarchicalDataSet"));

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  op->SetDataSet(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataIterator_GetDataSet_17(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *op;
  vtkHierarchicalDataSet  *temp20;
  jobject tempH;

  op = (vtkHierarchicalDataIterator *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataIterator");
  temp20 = (op)->GetDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkHierarchicalDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataIterator_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataIterator *aNewOne = vtkHierarchicalDataIterator::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataIterator_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataIterator_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataIterator_Typecast);
}
