// java wrapper for vtkHierarchicalDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalDataSet.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkCompositeDataSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalDataSet_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalDataSet",dType)) { return me; }
  if ((res= vtkCompositeDataSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalDataSet_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
  const char    *temp20;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSet_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalDataSet *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSet_NewIterator_12(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
  vtkCompositeDataIterator  *temp20;
  jobject tempH;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->NewIterator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCompositeDataIterator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSet_GetDataObjectType_13(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
  int      temp20;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_Initialize_14(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->Initialize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_SetNumberOfLevels_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->SetNumberOfLevels(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSet_GetNumberOfLevels_16(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp20;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetNumberOfLevels();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_SetNumberOfDataSets_17(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->SetNumberOfDataSets(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSet_GetNumberOfDataSets_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp0;
   unsigned int      temp20;
  temp0 = id0;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetNumberOfDataSets(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_InitializeNode_19(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->InitializeNode(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_SetDataSet_110(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  vtkDataObject  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDataObject"));

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->SetDataSet(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_AddDataSet_111(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkHierarchicalDataSet *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp1;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataObject"));

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->AddDataSet(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSet_GetDataSet_112(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkHierarchicalDataSet *op;
   unsigned int      temp0;
   unsigned int      temp1;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = id0;
  temp1 = id1;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetDataSet(temp0,temp1);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSet_GetDataSet_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataSet *op;
  vtkInformation  *temp0;
  vtkDataObject  *temp20;
  jobject tempH;
  temp0 = (vtkInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkInformation"));

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetDataSet(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataObject", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_ShallowCopy_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_DeepCopy_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataSet *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSet_GetHierarchicalDataInformation_116(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
  vtkHierarchicalDataInformation  *temp20;
  jobject tempH;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetHierarchicalDataInformation();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkHierarchicalDataInformation", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalDataSet_SetHierarchicalDataInformation_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalDataSet *op;
  vtkHierarchicalDataInformation  *temp0;
  temp0 = (vtkHierarchicalDataInformation *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkHierarchicalDataInformation"));

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  op->SetHierarchicalDataInformation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalDataSet_GetNumberOfPoints_118(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
  vtkIdType   temp20;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->GetNumberOfPoints();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkHierarchicalDataSet_LEVEL_119(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *op;
  vtkInformationIntegerKey  *temp20;
  jobject tempH;

  op = (vtkHierarchicalDataSet *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHierarchicalDataSet");
  temp20 = (op)->LEVEL();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkInformationIntegerKey", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataSet_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHierarchicalDataSet *aNewOne = vtkHierarchicalDataSet::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataSet_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHierarchicalDataSet_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHierarchicalDataSet_Typecast);
}
