// java wrapper for vtkUnstructuredGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGrid.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPointSet_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGrid_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGrid",dType)) { return me; }
  if ((res= vtkPointSet_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGrid_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  const char    *temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGrid *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetDataObjectType_12(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetDataObjectType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Allocate_13(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->Allocate(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_InsertNextCell_14(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  vtkIdList  *temp1;
  vtkIdType   temp20;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->InsertNextCell(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Reset_15(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->Reset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_CopyStructure_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->CopyStructure(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetNumberOfCells_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetNumberOfCells();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGrid_GetCell_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkCell  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetCell(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCell", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCell_19(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  temp0 = id0;
  temp1 = (vtkGenericCell *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkGenericCell"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellBounds_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  double temp1[6];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetCellBounds(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellPoints_111(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetCellPoints(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetPointCells_112(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetPointCells(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellType_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetCellType(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellTypesArray_114(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetCellTypesArray();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellLocationsArray_115(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkIdTypeArray  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetCellLocationsArray();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkIdTypeArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Squeeze_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->Squeeze();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_Initialize_117(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->Initialize();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetMaxCellSize_118(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetMaxCellSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_BuildLinks_119(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->BuildLinks();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellLinks_120(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkCellLinks  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetCellLinks();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellLinks", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_SetCells_121(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  vtkCellArray  *temp1;
  temp0 = id0;
  temp1 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkCellArray"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->SetCells(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_SetCells_122(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkUnstructuredGrid *op;
  vtkUnsignedCharArray  *temp0;
  vtkIdTypeArray  *temp1;
  vtkCellArray  *temp2;
  temp0 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnsignedCharArray"));
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdTypeArray"));
  temp2 = (vtkCellArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkCellArray"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->SetCells(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGrid_GetCells_123(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  vtkCellArray  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetCells();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_RemoveReferenceToCell_124(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->RemoveReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_AddReferenceToCell_125(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdType   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->AddReferenceToCell(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_ResizeCellList_126(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->ResizeCellList(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetCellNeighbors_127(JNIEnv *env, jobject obj,jint id0,jobject id1,jobject id2)
{
  vtkUnstructuredGrid *op;
  vtkIdType   temp0;
  vtkIdList  *temp1;
  vtkIdList  *temp2;
  temp0 = id0;
  temp1 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdList"));
  temp2 = (vtkIdList *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkIdList"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetCellNeighbors(temp0,temp1,temp2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetUpdateExtent_128(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkUnstructuredGrid *op;
  int    temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetUpdateExtent(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetPiece_129(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetPiece();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetNumberOfPieces_130(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetNumberOfPieces();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetGhostLevel_131(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetGhostLevel();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_GetActualMemorySize_132(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
   unsigned long     temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->GetActualMemorySize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_ShallowCopy_133(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_DeepCopy_134(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGrid *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataObject"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_GetIdsOfCellsOfType_135(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  vtkIdTypeArray  *temp1;
  temp0 = id0;
  temp1 = (vtkIdTypeArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkIdTypeArray"));

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->GetIdsOfCellsOfType(temp0,temp1);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGrid_IsHomogeneous_136(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *op;
  int      temp20;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  temp20 = (op)->IsHomogeneous();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGrid_RemoveGhostCells_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGrid *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGrid *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGrid");
  op->RemoveGhostCells(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGrid_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGrid *aNewOne = vtkUnstructuredGrid::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGrid_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGrid_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGrid_Typecast);
}
