// java wrapper for vtkDelaunay2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDelaunay2D.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDelaunay2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDelaunay2D",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDelaunay2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  const char    *temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelaunay2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDelaunay2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDelaunay2D *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetSourceConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDelaunay2D *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetSourceConnection(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDelaunay2D_GetSource_14(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetAlpha_15(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDelaunay2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetAlpha(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetAlphaMinValue_16(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetAlphaMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetAlphaMaxValue_17(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetAlphaMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetAlpha_18(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetAlpha();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetTolerance_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDelaunay2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetTolerance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetToleranceMinValue_110(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetToleranceMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetToleranceMaxValue_111(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetToleranceMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetTolerance_112(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetTolerance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetOffset_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkDelaunay2D *op;
  double   temp0;
  temp0 = id0;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetOffset(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetOffsetMinValue_114(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetOffsetMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetOffsetMaxValue_115(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetOffsetMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkDelaunay2D_GetOffset_116(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  double   temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetOffset();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetBoundingTriangulation_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkDelaunay2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetBoundingTriangulation(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelaunay2D_GetBoundingTriangulation_118(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  int      temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetBoundingTriangulation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_BoundingTriangulationOn_119(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->BoundingTriangulationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_BoundingTriangulationOff_120(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->BoundingTriangulationOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetTransform_121(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDelaunay2D *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractTransform"));

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkDelaunay2D_GetTransform_122(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDelaunay2D_SetProjectionPlaneMode_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkDelaunay2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  op->SetProjectionPlaneMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelaunay2D_GetProjectionPlaneModeMinValue_124(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  int      temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetProjectionPlaneModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelaunay2D_GetProjectionPlaneModeMaxValue_125(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  int      temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetProjectionPlaneModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDelaunay2D_GetProjectionPlaneMode_126(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *op;
  int      temp20;

  op = (vtkDelaunay2D *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkDelaunay2D");
  temp20 = (op)->GetProjectionPlaneMode();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDelaunay2D_VTKInit(JNIEnv *env, jobject obj)
{
  vtkDelaunay2D *aNewOne = vtkDelaunay2D::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDelaunay2D_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkDelaunay2D_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkDelaunay2D_Typecast);
}
