// java wrapper for vtkHull object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHull.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHull_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHull",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHull_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHull *op;
  const char    *temp20;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHull_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHull *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_RemoveAllPlanes_12(JNIEnv *env, jobject obj)
{
  vtkHull *op;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->RemoveAllPlanes();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHull_AddPlane_13(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkHull *op;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->AddPlane(temp0,temp1,temp2);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHull_AddPlane_14(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkHull *op;
  double temp0[3];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->AddPlane(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_SetPlane_15(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkHull *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->SetPlane(temp0,temp1,temp2,temp3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_SetPlane_16(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1)
{
  vtkHull *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->SetPlane(temp0,temp1);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHull_AddPlane_17(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkHull *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->AddPlane(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHull_AddPlane_18(JNIEnv *env, jobject obj,jdoubleArray id0,jdouble id1)
{
  vtkHull *op;
  double temp0[3];
  void *tempArray0;
  double   temp1;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp1 = id1;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->AddPlane(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_SetPlane_19(JNIEnv *env, jobject obj,jint id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4)
{
  vtkHull *op;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->SetPlane(temp0,temp1,temp2,temp3,temp4);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_SetPlane_110(JNIEnv *env, jobject obj,jint id0,jdoubleArray id1,jdouble id2)
{
  vtkHull *op;
  int      temp0;
  double temp1[3];
  void *tempArray1;
  double   temp2;
  temp0 = id0;
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp2 = id2;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->SetPlane(temp0,temp1,temp2);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_SetPlanes_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHull *op;
  vtkPlanes  *temp0;
  temp0 = (vtkPlanes *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPlanes"));

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->SetPlanes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHull_GetNumberOfPlanes_112(JNIEnv *env, jobject obj)
{
  vtkHull *op;
  int      temp20;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  temp20 = (op)->GetNumberOfPlanes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_AddCubeVertexPlanes_113(JNIEnv *env, jobject obj)
{
  vtkHull *op;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->AddCubeVertexPlanes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_AddCubeEdgePlanes_114(JNIEnv *env, jobject obj)
{
  vtkHull *op;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->AddCubeEdgePlanes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_AddCubeFacePlanes_115(JNIEnv *env, jobject obj)
{
  vtkHull *op;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->AddCubeFacePlanes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_AddRecursiveSpherePlanes_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkHull *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->AddRecursiveSpherePlanes(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHull_GenerateHull_117(JNIEnv *env, jobject obj,jobject id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6)
{
  vtkHull *op;
  vtkPolyData  *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;

  op = (vtkHull *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkHull");
  op->GenerateHull(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHull_VTKInit(JNIEnv *env, jobject obj)
{
  vtkHull *aNewOne = vtkHull::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHull_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkHull_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkHull_Typecast);
}
