// java wrapper for vtkMergeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMergeFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkDataSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMergeFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMergeFilter",dType)) { return me; }
  if ((res= vtkDataSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMergeFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  const char    *temp20;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMergeFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMergeFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetGeometry_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetGeometry(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeFilter_GetGeometry_13(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetGeometry();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetGeometryConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetGeometryConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetScalars_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetScalars(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeFilter_GetScalars_16(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetScalars();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetScalarsConnection_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetScalarsConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetVectors_18(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetVectors(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeFilter_GetVectors_19(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetVectors();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetVectorsConnection_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetVectorsConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetNormals_111(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetNormals(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeFilter_GetNormals_112(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetNormals();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetNormalsConnection_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetNormalsConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetTCoords_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetTCoords(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeFilter_GetTCoords_115(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetTCoords();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetTCoordsConnection_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetTCoordsConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetTensors_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetTensors(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMergeFilter_GetTensors_118(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  temp20 = (op)->GetTensors();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_SetTensorsConnection_119(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMergeFilter *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->SetTensorsConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMergeFilter_AddField_120(JNIEnv *env, jobject obj,jstring id0,jobject id1)
{
  vtkMergeFilter *op;
  char    *temp0;
  vtkDataSet  *temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataSet"));

  op = (vtkMergeFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMergeFilter");
  op->AddField(temp0,temp1);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMergeFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkMergeFilter *aNewOne = vtkMergeFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMergeFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMergeFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMergeFilter_Typecast);
}
