// java wrapper for vtkTransformFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTransformFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTransformFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTransformFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *op;
  const char    *temp20;

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTransformFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTransformFilter_GetMTime_12(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *op;
   unsigned long     temp20;

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformFilter");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTransformFilter_SetTransform_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTransformFilter *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractTransform"));

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformFilter");
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTransformFilter_GetTransform_14(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkTransformFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTransformFilter");
  temp20 = (op)->GetTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransformFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTransformFilter *aNewOne = vtkTransformFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransformFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTransformFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTransformFilter_Typecast);
}
