// java wrapper for vtkIterativeClosestPointTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIterativeClosestPointTransform.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkLinearTransform_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkIterativeClosestPointTransform_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkIterativeClosestPointTransform",dType)) { return me; }
  if ((res= vtkLinearTransform_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  const char    *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkIterativeClosestPointTransform *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetSource_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetSource(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetTarget_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp0;
  temp0 = (vtkDataSet *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDataSet"));

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetTarget(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetSource_14(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetSource();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetTarget_15(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetTarget();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetLocator_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkIterativeClosestPointTransform *op;
  vtkCellLocator  *temp0;
  temp0 = (vtkCellLocator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkCellLocator"));

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetLocator(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetLocator_17(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkCellLocator  *temp20;
  jobject tempH;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetLocator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkCellLocator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMaximumNumberOfIterations_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetMaximumNumberOfIterations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMaximumNumberOfIterations_19(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMaximumNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetNumberOfIterations_110(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetNumberOfIterations();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetCheckMeanDistance_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetCheckMeanDistance(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetCheckMeanDistance_112(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetCheckMeanDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_CheckMeanDistanceOn_113(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->CheckMeanDistanceOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_CheckMeanDistanceOff_114(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->CheckMeanDistanceOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMeanDistanceMode_115(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetMeanDistanceMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceModeMinValue_116(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMeanDistanceModeMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceModeMaxValue_117(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMeanDistanceModeMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceMode_118(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMeanDistanceMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMeanDistanceModeToRMS_119(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetMeanDistanceModeToRMS();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMeanDistanceModeToAbsoluteValue_120(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetMeanDistanceModeToAbsoluteValue();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistanceModeAsString_121(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  const char    *temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMeanDistanceModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMaximumMeanDistance_122(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkIterativeClosestPointTransform *op;
  double   temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetMaximumMeanDistance(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMaximumMeanDistance_123(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  double   temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMaximumMeanDistance();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMeanDistance_124(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  double   temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMeanDistance();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetMaximumNumberOfLandmarks_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetMaximumNumberOfLandmarks(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetMaximumNumberOfLandmarks_126(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetMaximumNumberOfLandmarks();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_SetStartByMatchingCentroids_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkIterativeClosestPointTransform *op;
  int      temp0;
  temp0 = id0;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->SetStartByMatchingCentroids(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetStartByMatchingCentroids_128(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  int      temp20;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetStartByMatchingCentroids();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOn_129(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->StartByMatchingCentroidsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOff_130(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->StartByMatchingCentroidsOff();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkIterativeClosestPointTransform_GetLandmarkTransform_131(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkLandmarkTransform  *temp20;
  jobject tempH;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->GetLandmarkTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLandmarkTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkIterativeClosestPointTransform_Inverse_132(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  op->Inverse();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkIterativeClosestPointTransform_MakeTransform_133(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *op;
  vtkAbstractTransform  *temp20;
  jobject tempH;

  op = (vtkIterativeClosestPointTransform *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkIterativeClosestPointTransform");
  temp20 = (op)->MakeTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkAbstractTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIterativeClosestPointTransform_VTKInit(JNIEnv *env, jobject obj)
{
  vtkIterativeClosestPointTransform *aNewOne = vtkIterativeClosestPointTransform::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIterativeClosestPointTransform_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkIterativeClosestPointTransform_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkIterativeClosestPointTransform_Typecast);
}
