// java wrapper for vtkProcrustesAlignmentFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcrustesAlignmentFilter.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPointSetAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkProcrustesAlignmentFilter_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkProcrustesAlignmentFilter",dType)) { return me; }
  if ((res= vtkPointSetAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  const char    *temp20;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkProcrustesAlignmentFilter *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetLandmarkTransform_12(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  vtkLandmarkTransform  *temp20;
  jobject tempH;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  temp20 = (op)->GetLandmarkTransform();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLandmarkTransform", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetMeanPoints_13(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *op;
  vtkPoints  *temp20;
  jobject tempH;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  temp20 = (op)->GetMeanPoints();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPoints", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_SetNumberOfInputs_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkProcrustesAlignmentFilter *op;
  int      temp0;
  temp0 = id0;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  op->SetNumberOfInputs(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_SetInput_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkProcrustesAlignmentFilter *op;
  int      temp0;
  vtkPointSet  *temp1;
  temp0 = id0;
  temp1 = (vtkPointSet *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkPointSet"));

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  op->SetInput(temp0,temp1);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkProcrustesAlignmentFilter_GetInput_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkProcrustesAlignmentFilter *op;
  int      temp0;
  vtkPointSet  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkProcrustesAlignmentFilter *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkProcrustesAlignmentFilter");
  temp20 = (op)->GetInput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPointSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProcrustesAlignmentFilter_VTKInit(JNIEnv *env, jobject obj)
{
  vtkProcrustesAlignmentFilter *aNewOne = vtkProcrustesAlignmentFilter::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProcrustesAlignmentFilter_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkProcrustesAlignmentFilter_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkProcrustesAlignmentFilter_Typecast);
}
