// java wrapper for vtkXMLPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLPolyDataReader.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkXMLUnstructuredDataReader_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkXMLPolyDataReader_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkXMLPolyDataReader",dType)) { return me; }
  if ((res= vtkXMLUnstructuredDataReader_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkXMLPolyDataReader_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  const char    *temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkXMLPolyDataReader *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkXMLPolyDataReader_SetOutput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkXMLPolyDataReader *op;
  vtkPolyData  *temp0;
  temp0 = (vtkPolyData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkPolyData"));

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  op->SetOutput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPolyDataReader_GetOutput_13(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkPolyData  *temp20;
  jobject tempH;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetOutput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkXMLPolyDataReader_GetOutput_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkXMLPolyDataReader *op;
  int      temp0;
  vtkPolyData  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetOutput(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkPolyData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfVerts_15(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetNumberOfVerts();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfLines_16(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetNumberOfLines();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfStrips_17(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetNumberOfStrips();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkXMLPolyDataReader_GetNumberOfPolys_18(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *op;
  vtkIdType   temp20;

  op = (vtkXMLPolyDataReader *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkXMLPolyDataReader");
  temp20 = (op)->GetNumberOfPolys();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPolyDataReader_VTKInit(JNIEnv *env, jobject obj)
{
  vtkXMLPolyDataReader *aNewOne = vtkXMLPolyDataReader::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPolyDataReader_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkXMLPolyDataReader_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkXMLPolyDataReader_Typecast);
}
