// java wrapper for vtkActorCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkActorCollection.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkPropCollection_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkActorCollection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkActorCollection",dType)) { return me; }
  if ((res= vtkPropCollection_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkActorCollection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkActorCollection *op;
  const char    *temp20;

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkActorCollection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkActorCollection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActorCollection_AddItem_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActorCollection *op;
  vtkActor  *temp0;
  temp0 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkActor"));

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  op->AddItem(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActorCollection_GetNextActor_13(JNIEnv *env, jobject obj)
{
  vtkActorCollection *op;
  vtkActor  *temp20;
  jobject tempH;

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  temp20 = (op)->GetNextActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActorCollection_GetLastActor_14(JNIEnv *env, jobject obj)
{
  vtkActorCollection *op;
  vtkActor  *temp20;
  jobject tempH;

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  temp20 = (op)->GetLastActor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActorCollection_GetNextItem_15(JNIEnv *env, jobject obj)
{
  vtkActorCollection *op;
  vtkActor  *temp20;
  jobject tempH;

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  temp20 = (op)->GetNextItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkActorCollection_GetLastItem_16(JNIEnv *env, jobject obj)
{
  vtkActorCollection *op;
  vtkActor  *temp20;
  jobject tempH;

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  temp20 = (op)->GetLastItem();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkActorCollection_ApplyProperties_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkActorCollection *op;
  vtkProperty  *temp0;
  temp0 = (vtkProperty *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkProperty"));

  op = (vtkActorCollection *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkActorCollection");
  op->ApplyProperties(temp0);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkActorCollection_VTKInit(JNIEnv *env, jobject obj)
{
  vtkActorCollection *aNewOne = vtkActorCollection::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkActorCollection_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkActorCollection_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkActorCollection_Typecast);
}
