// java wrapper for vtkImageViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageViewer.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkImageViewer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkImageViewer",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageViewer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  const char    *temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkImageViewer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkImageViewer_GetWindowName_12(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  char    *temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetWindowName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_Render_13(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetInput_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer *op;
  vtkImageData  *temp0;
  temp0 = (vtkImageData *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkImageData"));

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetInput(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer_GetInput_15(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  vtkImageData  *temp20;
  jobject tempH;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetInput();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageData", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetInputConnection_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAlgorithmOutput"));

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer_GetWholeZMin_17(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int      temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetWholeZMin();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer_GetWholeZMax_18(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int      temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetWholeZMax();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer_GetZSlice_19(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int      temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetZSlice();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetZSlice_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetZSlice(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageViewer_GetColorWindow_111(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  double   temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetColorWindow();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkImageViewer_GetColorLevel_112(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  double   temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetColorLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetColorWindow_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageViewer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetColorWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetColorLevel_114(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkImageViewer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetColorLevel(temp0);
}

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer_GetGrayScaleHint_115(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int      temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetGrayScaleHint();
  return temp20;
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetGrayScaleHint_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetGrayScaleHint(temp0);
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_GrayScaleHintOn_117(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->GrayScaleHintOn();
}
#endif

#if !defined(VTK_LEGACY_REMOVE)
extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_GrayScaleHintOff_118(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->GrayScaleHintOff();
}
#endif

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageViewer_GetPosition_119(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int     *temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetPosition();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetPosition_120(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageViewer *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetPosition_121(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageViewer *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetPosition(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkImageViewer_GetSize_122(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int     *temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetSize();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetSize_123(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkImageViewer *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetSize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetSize_124(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkImageViewer *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetSize(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer_GetRenderWindow_125(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  vtkRenderWindow  *temp20;
  jobject tempH;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetRenderWindow();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindow", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer_GetRenderer_126(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  vtkRenderer  *temp20;
  jobject tempH;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetRenderer();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderer", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer_GetImageMapper_127(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  vtkImageMapper  *temp20;
  jobject tempH;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetImageMapper();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkImageMapper", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkImageViewer_GetActor2D_128(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  vtkActor2D  *temp20;
  jobject tempH;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetActor2D();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkActor2D", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetupInteractor_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkImageViewer *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindowInteractor"));

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetupInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_SetOffScreenRendering_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkImageViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->SetOffScreenRendering(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkImageViewer_GetOffScreenRendering_131(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;
  int      temp20;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  temp20 = (op)->GetOffScreenRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_OffScreenRenderingOn_132(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->OffScreenRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkImageViewer_OffScreenRenderingOff_133(JNIEnv *env, jobject obj)
{
  vtkImageViewer *op;

  op = (vtkImageViewer *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkImageViewer");
  op->OffScreenRenderingOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageViewer_VTKInit(JNIEnv *env, jobject obj)
{
  vtkImageViewer *aNewOne = vtkImageViewer::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageViewer_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkImageViewer_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkImageViewer_Typecast);
}
