// java wrapper for vtkMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMapper.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkAbstractMapper3D_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMapper_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMapper",dType)) { return me; }
  if ((res= vtkAbstractMapper3D_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMapper_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  const char    *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMapper *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ShallowCopy_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMapper *op;
  vtkAbstractMapper  *temp0;
  temp0 = (vtkAbstractMapper *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkAbstractMapper"));

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetMTime_13(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
   unsigned long     temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetMTime();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_Render_14(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkMapper *op;
  vtkRenderer  *temp0;
  vtkActor  *temp1;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));
  temp1 = (vtkActor *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkActor"));

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->Render(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ReleaseGraphicsResources_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMapper *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetLookupTable_16(JNIEnv *env, jobject obj,jobject id0)
{
  vtkMapper *op;
  vtkScalarsToColors  *temp0;
  temp0 = (vtkScalarsToColors *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkScalarsToColors"));

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMapper_GetLookupTable_17(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  vtkScalarsToColors  *temp20;
  jobject tempH;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkScalarsToColors", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_CreateDefaultLookupTable_18(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->CreateDefaultLookupTable();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarVisibility_19(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarVisibility(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetScalarVisibility_110(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetScalarVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ScalarVisibilityOn_111(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ScalarVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ScalarVisibilityOff_112(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ScalarVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetStatic_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetStatic(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetStatic_114(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetStatic();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_StaticOn_115(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->StaticOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_StaticOff_116(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->StaticOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetColorMode_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetColorMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetColorMode_118(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetColorMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetColorModeToDefault_119(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetColorModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetColorModeToMapScalars_120(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetColorModeToMapScalars();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMapper_GetColorModeAsString_121(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  const char    *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetColorModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetInterpolateScalarsBeforeMapping_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetInterpolateScalarsBeforeMapping(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetInterpolateScalarsBeforeMapping_123(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetInterpolateScalarsBeforeMapping();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_InterpolateScalarsBeforeMappingOn_124(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->InterpolateScalarsBeforeMappingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_InterpolateScalarsBeforeMappingOff_125(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->InterpolateScalarsBeforeMappingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetUseLookupTableScalarRange_126(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetUseLookupTableScalarRange(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetUseLookupTableScalarRange_127(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetUseLookupTableScalarRange();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_UseLookupTableScalarRangeOn_128(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->UseLookupTableScalarRangeOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_UseLookupTableScalarRangeOff_129(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->UseLookupTableScalarRangeOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarRange_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMapper *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarRange_131(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMapper *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMapper_GetScalarRange_132(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  double  *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetScalarRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetImmediateModeRendering_133(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetImmediateModeRendering(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetImmediateModeRendering_134(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetImmediateModeRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ImmediateModeRenderingOn_135(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ImmediateModeRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ImmediateModeRenderingOff_136(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ImmediateModeRenderingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetGlobalImmediateModeRendering_137(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetGlobalImmediateModeRendering(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_GlobalImmediateModeRenderingOn_138(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->GlobalImmediateModeRenderingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_GlobalImmediateModeRenderingOff_139(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->GlobalImmediateModeRenderingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetGlobalImmediateModeRendering_140(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetGlobalImmediateModeRendering();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarMode_141(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetScalarMode_142(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetScalarMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarModeToDefault_143(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarModeToUsePointData_144(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarModeToUsePointData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarModeToUseCellData_145(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarModeToUseCellData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarModeToUsePointFieldData_146(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarModeToUsePointFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarModeToUseCellFieldData_147(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarModeToUseCellFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarModeToUseFieldData_148(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarModeToUseFieldData();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SelectColorArray_149(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SelectColorArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SelectColorArray_150(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMapper *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SelectColorArray(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ColorByArrayComponent_151(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMapper *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ColorByArrayComponent(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_ColorByArrayComponent_152(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkMapper *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->ColorByArrayComponent(temp0,temp1);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMapper_GetArrayName_153(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  char    *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetArrayId_154(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetArrayId();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetArrayAccessMode_155(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetArrayAccessMode();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetArrayComponent_156(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetArrayComponent();
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMapper_GetScalarModeAsString_157(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  const char    *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetScalarModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopology_158(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopology(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetResolveCoincidentTopology_159(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetResolveCoincidentTopology();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopologyToDefault_160(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopologyToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopologyToOff_161(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopologyToOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopologyToPolygonOffset_162(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopologyToPolygonOffset();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopologyToShiftZBuffer_163(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopologyToShiftZBuffer();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopologyPolygonOffsetParameters_164(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMapper *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopologyPolygonOffsetParameters(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetResolveCoincidentTopologyZShift_165(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetResolveCoincidentTopologyZShift(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMapper_GetResolveCoincidentTopologyZShift_166(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  double   temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetResolveCoincidentTopologyZShift();
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMapper_GetBounds_167(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  double  *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetBounds();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,6);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_GetBounds_168(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMapper *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->GetBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetRenderTime_169(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMapper *op;
  double   temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetRenderTime(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMapper_GetRenderTime_170(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  double   temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetRenderTime();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMapper_GetInputAsDataSet_171(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  vtkDataSet  *temp20;
  jobject tempH;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetInputAsDataSet();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkDataSet", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkMapper_MapScalars_172(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMapper *op;
  double   temp0;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->MapScalars(temp0);
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarMaterialMode_173(JNIEnv *env, jobject obj,jint id0)
{
  vtkMapper *op;
  int      temp0;
  temp0 = id0;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarMaterialMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMapper_GetScalarMaterialMode_174(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  int      temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetScalarMaterialMode();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarMaterialModeToDefault_175(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarMaterialModeToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarMaterialModeToAmbient_176(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarMaterialModeToAmbient();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarMaterialModeToDiffuse_177(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarMaterialModeToDiffuse();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMapper_SetScalarMaterialModeToAmbientAndDiffuse_178(JNIEnv *env, jobject obj)
{
  vtkMapper *op;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  op->SetScalarMaterialModeToAmbientAndDiffuse();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMapper_GetScalarMaterialModeAsString_179(JNIEnv *env, jobject obj)
{
  vtkMapper *op;
  const char    *temp20;

  op = (vtkMapper *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkMapper");
  temp20 = (op)->GetScalarMaterialModeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkMapper_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkMapper_Typecast);
}
