// java wrapper for vtkRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindow.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkWindow_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkRenderWindow_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkRenderWindow",dType)) { return me; }
  if ((res= vtkWindow_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_AddRenderer_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->AddRenderer(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_RemoveRenderer_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->RemoveRenderer(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_HasRenderer_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderer  *temp0;
  int      temp20;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->HasRenderer(temp0);
  return temp20;
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetRenderLibrary_15(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetRenderLibrary();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindow_GetRenderers_16(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkRendererCollection  *temp20;
  jobject tempH;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetRenderers();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRendererCollection", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Render_17(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->Render();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Start_18(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->Start();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Finalize_19(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->Finalize();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_Frame_110(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->Frame();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_CopyResultFrame_111(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->CopyResultFrame();
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindow_MakeRenderWindowInteractor_112(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkRenderWindowInteractor  *temp20;
  jobject tempH;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->MakeRenderWindowInteractor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindowInteractor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_HideCursor_113(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->HideCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_ShowCursor_114(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->ShowCursor();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetCursorPosition_115(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetCursorPosition(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetCurrentCursor_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetCurrentCursor(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetCurrentCursor_117(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetCurrentCursor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetFullScreen_118(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetFullScreen(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetFullScreen_119(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetFullScreen();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_FullScreenOn_120(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->FullScreenOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_FullScreenOff_121(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->FullScreenOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetBorders_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetBorders(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetBorders_123(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetBorders();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_BordersOn_124(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->BordersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_BordersOff_125(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->BordersOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStereoCapableWindow_126(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetStereoCapableWindow();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoCapableWindowOn_127(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoCapableWindowOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoCapableWindowOff_128(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoCapableWindowOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoCapableWindow_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoCapableWindow(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStereoRender_130(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetStereoRender();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoRender_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoRender(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoRenderOn_132(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoRenderOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoRenderOff_133(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoRenderOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAlphaBitPlanes_134(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetAlphaBitPlanes(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetAlphaBitPlanes_135(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAlphaBitPlanes();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_AlphaBitPlanesOn_136(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->AlphaBitPlanesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_AlphaBitPlanesOff_137(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->AlphaBitPlanesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetPointSmoothing_138(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetPointSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetPointSmoothing_139(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetPointSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PointSmoothingOn_140(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->PointSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PointSmoothingOff_141(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->PointSmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetLineSmoothing_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetLineSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetLineSmoothing_143(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetLineSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_LineSmoothingOn_144(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->LineSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_LineSmoothingOff_145(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->LineSmoothingOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetPolygonSmoothing_146(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetPolygonSmoothing(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetPolygonSmoothing_147(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetPolygonSmoothing();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PolygonSmoothingOn_148(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->PolygonSmoothingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_PolygonSmoothingOff_149(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->PolygonSmoothingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetStereoType_150(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetStereoType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoType_151(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoType(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToCrystalEyes_152(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToCrystalEyes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToRedBlue_153(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToRedBlue();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToInterlaced_154(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToInterlaced();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToLeft_155(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToLeft();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToRight_156(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToRight();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToDresden_157(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToDresden();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetStereoTypeToAnaglyph_158(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetStereoTypeToAnaglyph();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_GetStereoTypeAsString_159(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetStereoTypeAsString();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoUpdate_160(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoUpdate();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoMidpoint_161(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoMidpoint();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_StereoRenderComplete_162(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->StereoRenderComplete();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAnaglyphColorSaturation_163(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindow *op;
  float    temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetAnaglyphColorSaturation(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorSaturationMinValue_164(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  float    temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAnaglyphColorSaturationMinValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorSaturationMaxValue_165(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  float    temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAnaglyphColorSaturationMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorSaturation_166(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  float    temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAnaglyphColorSaturation();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAnaglyphColorMask_167(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetAnaglyphColorMask(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAnaglyphColorMask_168(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkRenderWindow *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetAnaglyphColorMask(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkRenderWindow_GetAnaglyphColorMask_169(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int     *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAnaglyphColorMask();
    return vtkJavaMakeJArrayOfIntFromInt(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_WindowRemap_170(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->WindowRemap();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetSwapBuffers_171(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetSwapBuffers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetSwapBuffers_172(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetSwapBuffers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SwapBuffersOn_173(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SwapBuffersOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SwapBuffersOff_174(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SwapBuffersOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetPixelData_175(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkUnsignedCharArray"));
  temp5 = id5;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetRGBAPixelData_176(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkFloatArray"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetRGBAPixelData_177(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5,jint id6)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkFloatArray"));
  temp5 = id5;
  temp6 = id6;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetRGBACharPixelData_178(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jint id4,jobject id5)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id5,(char *) "vtkUnsignedCharArray"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetRGBACharPixelData_179(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4,jint id5,jint id6)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  int      temp5;
  int      temp6;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkUnsignedCharArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkUnsignedCharArray"));
  temp5 = id5;
  temp6 = id6;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetZbufferData_180(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkFloatArray"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SetZbufferData_181(JNIEnv *env, jobject obj,jint id0,jint id1,jint id2,jint id3,jobject id4)
{
  vtkRenderWindow *op;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = (vtkFloatArray *)(vtkJavaGetPointerFromObject(env,id4,(char *) "vtkFloatArray"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetAAFrames_182(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAAFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAAFrames_183(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetAAFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetFDFrames_184(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetFDFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetFDFrames_185(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetFDFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetSubFrames_186(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetSubFrames();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetSubFrames_187(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetSubFrames(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNeverRendered_188(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetNeverRendered();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetAbortRender_189(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetAbortRender();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetAbortRender_190(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetAbortRender(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetInAbortCheck_191(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetInAbortCheck();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetInAbortCheck_192(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetInAbortCheck(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_CheckAbortStatus_193(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->CheckAbortStatus();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetIsPicking_194(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetIsPicking();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetIsPicking_195(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetIsPicking(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_IsPickingOn_196(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->IsPickingOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_IsPickingOff_197(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->IsPickingOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetEventPending_198(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetEventPending();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_CheckInRenderStatus_199(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->CheckInRenderStatus();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_ClearInRenderStatus_1100(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->ClearInRenderStatus();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetDesiredUpdateRate_1101(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkRenderWindow *op;
  double   temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetDesiredUpdateRate(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkRenderWindow_GetDesiredUpdateRate_1102(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  double   temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetDesiredUpdateRate();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNumberOfLayers_1103(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetNumberOfLayers();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetNumberOfLayers_1104(JNIEnv *env, jobject obj,jint id0)
{
  vtkRenderWindow *op;
  int      temp0;
  temp0 = id0;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetNumberOfLayers(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNumberOfLayersMinValue_1105(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetNumberOfLayersMinValue();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetNumberOfLayersMaxValue_1106(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetNumberOfLayersMaxValue();
  return temp20;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkRenderWindow_GetInteractor_1107(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  vtkRenderWindowInteractor  *temp20;
  jobject tempH;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetInteractor();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkRenderWindowInteractor", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetInteractor_1108(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkRenderWindowInteractor  *temp0;
  temp0 = (vtkRenderWindowInteractor *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderWindowInteractor"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetInteractor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_UnRegister_1109(JNIEnv *env, jobject obj,jobject id0)
{
  vtkRenderWindow *op;
  vtkObjectBase  *temp0;
  temp0 = (vtkObjectBase *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkObjectBase"));

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->UnRegister(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetWindowInfo_1110(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetWindowInfo(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetNextWindowInfo_1111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetNextWindowInfo(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetParentInfo_1112(JNIEnv *env, jobject obj,jstring id0)
{
  vtkRenderWindow *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetParentInfo(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_MakeCurrent_1113(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->MakeCurrent();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkRenderWindow_SetForceMakeCurrent_1114(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  op->SetForceMakeCurrent();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkRenderWindow_ReportCapabilities_1115(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  const char    *temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->ReportCapabilities();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_SupportsOpenGL_1116(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->SupportsOpenGL();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_IsDirect_1117(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->IsDirect();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkRenderWindow_GetDepthBufferSize_1118(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *op;
  int      temp20;

  op = (vtkRenderWindow *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkRenderWindow");
  temp20 = (op)->GetDepthBufferSize();
  return temp20;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderWindow_VTKInit(JNIEnv *env, jobject obj)
{
  vtkRenderWindow *aNewOne = vtkRenderWindow::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderWindow_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkRenderWindow_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkRenderWindow_Typecast);
}

#include "vtkJavaAwt.h"

