// java wrapper for vtkTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTexture.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkImageAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTexture_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTexture",dType)) { return me; }
  if ((res= vtkImageAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTexture_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  const char    *temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTexture *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_Render_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->Render(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_ReleaseGraphicsResources_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkWindow  *temp0;
  temp0 = (vtkWindow *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkWindow"));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->ReleaseGraphicsResources(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_Load_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkRenderer  *temp0;
  temp0 = (vtkRenderer *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkRenderer"));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->Load(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetRepeat_15(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetRepeat();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetRepeat_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetRepeat(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_RepeatOn_17(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->RepeatOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_RepeatOff_18(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->RepeatOff();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetInterpolate_19(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetInterpolate();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetInterpolate_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetInterpolate(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_InterpolateOn_111(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->InterpolateOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_InterpolateOff_112(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->InterpolateOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQuality_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetQuality(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetQuality_114(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetQuality();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQualityToDefault_115(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetQualityToDefault();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQualityTo16Bit_116(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetQualityTo16Bit();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetQualityTo32Bit_117(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetQualityTo32Bit();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTexture_GetMapColorScalarsThroughLookupTable_118(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  int      temp20;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetMapColorScalarsThroughLookupTable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetMapColorScalarsThroughLookupTable_119(JNIEnv *env, jobject obj,jint id0)
{
  vtkTexture *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetMapColorScalarsThroughLookupTable(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_MapColorScalarsThroughLookupTableOn_120(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->MapColorScalarsThroughLookupTableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_MapColorScalarsThroughLookupTableOff_121(JNIEnv *env, jobject obj)
{
  vtkTexture *op;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->MapColorScalarsThroughLookupTableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTexture_SetLookupTable_122(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTexture *op;
  vtkLookupTable  *temp0;
  temp0 = (vtkLookupTable *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkLookupTable"));

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  op->SetLookupTable(temp0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTexture_GetLookupTable_123(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  vtkLookupTable  *temp20;
  jobject tempH;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetLookupTable();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkLookupTable", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkTexture_GetMappedScalars_124(JNIEnv *env, jobject obj)
{
  vtkTexture *op;
  vtkUnsignedCharArray  *temp20;
  jobject tempH;

  op = (vtkTexture *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkTexture");
  temp20 = (op)->GetMappedScalars();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnsignedCharArray", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTexture_VTKInit(JNIEnv *env, jobject obj)
{
  vtkTexture *aNewOne = vtkTexture::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTexture_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkTexture_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkTexture_Typecast);
}
