// java wrapper for vtkUnstructuredGridPreIntegration object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridPreIntegration.h"
#include "vtkJavaUtil.h"

extern "C" JNIEXPORT void* vtkUnstructuredGridVolumeRayIntegrator_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnstructuredGridPreIntegration_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnstructuredGridPreIntegration",dType)) { return me; }
  if ((res= vtkUnstructuredGridVolumeRayIntegrator_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;
  const char    *temp20;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnstructuredGridPreIntegration *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_Initialize_12(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkUnstructuredGridPreIntegration *op;
  vtkVolume  *temp0;
  vtkDataArray  *temp1;
  temp0 = (vtkVolume *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkVolume"));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->Initialize(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_Integrate_13(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jdoubleArray id3)
{
  vtkUnstructuredGridPreIntegration *op;
  vtkDoubleArray  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  float  temp3[4];
  void *tempArray3;
  temp0 = (vtkDoubleArray *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkDoubleArray"));
  temp1 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id1,(char *) "vtkDataArray"));
  temp2 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id2,(char *) "vtkDataArray"));
  tempArray3 = (void *)(env->GetDoubleArrayElements(id3,NULL));
  temp3[0] = ((jdouble *)tempArray3)[0];
  temp3[1] = ((jdouble *)tempArray3)[1];
  temp3[2] = ((jdouble *)tempArray3)[2];
  temp3[3] = ((jdouble *)tempArray3)[3];

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->Integrate(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray3)[0] = temp3[0];
  ((jdouble *)tempArray3)[1] = temp3[1];
  ((jdouble *)tempArray3)[2] = temp3[2];
  ((jdouble *)tempArray3)[3] = temp3[3];
  env->ReleaseDoubleArrayElements(id3,(jdouble *)tempArray3,0);
}

extern "C" JNIEXPORT jobject  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIntegrator_14(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  jobject tempH;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIntegrator();
  if (temp20 == NULL) { return NULL; }
  tempH = vtkJavaGetObjectFromPointer((void *)temp20);
  if (!tempH)
    {
    tempH = vtkJavaCreateNewJavaStubForObject(env, (vtkObject *)temp20);
    if (!tempH)
      {
      // clear the exception first
      env->ExceptionClear();
      // no java stub for this class exists? Use function return type
      tempH = vtkJavaCreateNewJavaStub(env, "vtk/vtkUnstructuredGridVolumeRayIntegrator", (void *)temp20);
      }
    }
  return tempH;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_SetIntegrator_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkUnstructuredGridPreIntegration *op;
  vtkUnstructuredGridVolumeRayIntegrator  *temp0;
  temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkJavaGetPointerFromObject(env,id0,(char *) "vtkUnstructuredGridVolumeRayIntegrator"));

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->SetIntegrator(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_SetIntegrationTableScalarResolution_16(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->SetIntegrationTableScalarResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIntegrationTableScalarResolution_17(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp20;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIntegrationTableScalarResolution();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_SetIntegrationTableLengthResolution_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->SetIntegrationTableLengthResolution(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIntegrationTableLengthResolution_19(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp20;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIntegrationTableLengthResolution();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIntegrationTableScalarShift_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIntegrationTableScalarShift(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIntegrationTableScalarScale_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp0;
  double   temp20;
  temp0 = id0;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIntegrationTableScalarScale(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIntegrationTableLengthScale_112(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;
  double   temp20;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIntegrationTableLengthScale();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_GetIncrementalPreIntegration_113(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp20;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  temp20 = (op)->GetIncrementalPreIntegration();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_SetIncrementalPreIntegration_114(JNIEnv *env, jobject obj,jint id0)
{
  vtkUnstructuredGridPreIntegration *op;
  int      temp0;
  temp0 = id0;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->SetIncrementalPreIntegration(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOn_115(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->IncrementalPreIntegrationOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_IncrementalPreIntegrationOff_116(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *op;

  op = (vtkUnstructuredGridPreIntegration *)vtkJavaGetPointerFromObject(env,obj,(char *) "vtkUnstructuredGridPreIntegration");
  op->IncrementalPreIntegrationOff();
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_VTKInit(JNIEnv *env, jobject obj)
{
  vtkUnstructuredGridPreIntegration *aNewOne = vtkUnstructuredGridPreIntegration::New();
  int id= vtkJavaRegisterNewObject(env,obj,(void *)aNewOne);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridPreIntegration_Typecast);
}

extern "C" JNIEXPORT void JNICALL Java_vtk_vtkUnstructuredGridPreIntegration_VTKCastInit(JNIEnv *env, jobject obj)
{
  int id= vtkJavaGetId(env,obj);
  vtkJavaRegisterCastFunction(env,obj,id,(void *)vtkUnstructuredGridPreIntegration_Typecast);
}
